package com.steering.pss.ydm.Report;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.converter.CoreConverter;
import com.steering.comm.db.DBCommon;

public class FrmGeneralStatistics extends DBCommon{
	/***
	 * 查询
	 * @param arr
	 * @return
	 */
	public CoreReturnObject doQuery(ArrayList<String> parm,String[] arr)
	{
		return this.getDataBySqlID("FrmGeneralStatistics.doQuery", parm.toArray());
	}
	
	public CoreReturnObject doQueryDataB(String bathYear,String[] arr)
	{
		return this.getDataBySqlID("FrmGeneralStatistics.doQueryDataB", new Object[]{bathYear});
	}
}
